$(document).ready(function() {
	addRollovers();
	initializeTest();
	
	$('div.video_player_player').each(function() {
		var media_id = $('input[@name=media_id]', this).val();
		
		$(this).show();
		
		$(this).flashembed( 
			/* 
				first argument supplies standard Flash parameters. See full list:
				http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_12701
			*/
			{
				src:'firefly/global/flowplayer/FlowPlayerDark.swf',
				width: 426, 
				height: 268
			},

			/*
				second argument is Flowplayer specific configuration. See full list:
				http://flowplayer.org/player/configuration.html
			*/
			{config: {
				loop: false,
				showMenu: false,
				initialScale: 'fit',
				showFullScreenButton: false,
				autoPlay: false,
				autoBuffering: false,
				initialVolumePercentage: 90,
				videoFile: 'medialibrary/file/' + media_id + '/video.mov'
			}}
		);
	});
});

$.preloadImages = function() {
	for(var i = 0; i<arguments.length; i++)	{
		$('<img>').attr('src', arguments[i]);
	}
}

function addRollovers() {
	$(".menu ul li, .top ul li, .top .test, .sidebar ul li, .footer ul li").mouseover( function() {
		$(this).addClass("selected");
	});
	$(".menu ul li, .top ul li, .top .test, .sidebar ul li, .footer ul li").mouseout( function() { 
		$(this).removeClass("selected");
	});

	img = new Image();
	img.src = "template/menu_bg_selected.png";
	img.src = "template/box_bg_blue.png";
	img.src = "template/box_bg_green.png";
	img.src = "template/box_bg_orange.png";
	img.src = "template/box_bg_red.png";
	
	$(".boxes .about, .menu .about").hover( function() {
		$(".menu .about").addClass("selected");
		$(".boxes .about").addClass("selected");
	},
	function() {
		$(".menu .about").removeClass("selected");
		$(".boxes .about").removeClass("selected");
	});
	
	$(".boxes .host, .menu .host").hover( function() {
		$(".menu .host").addClass("selected");
		$(".boxes .host").addClass("selected");
	},
	function() {
		$(".menu .host").removeClass("selected");
		$(".boxes .host").removeClass("selected");
	});
	
	$(".boxes .attend, .menu .attend").hover( function() {
		$(".menu .attend").addClass("selected");
		$(".boxes .attend").addClass("selected");
	},
	function() {
		$(".menu .attend").removeClass("selected");
		$(".boxes .attend").removeClass("selected");
	});
	
	$(".boxes .hearttypes, .menu .hearttypes").hover( function() {
		$(".menu .hearttypes").addClass("selected");
		$(".boxes .hearttypes").addClass("selected");
	},
	function() {
		$(".menu .hearttypes").removeClass("selected");
		$(".boxes .hearttypes").removeClass("selected");
	});
	
}

function grid() {
	$("div.grid").toggle()
	window.resizeTo(1015,800)
}

// ========
// = sifr =
// ========

var cronos = { src: 'sifr/cronospro.swf' };

sIFR.activate(cronos);

function sifr_replace_all() {  
	sIFR.replace(cronos, {
		selector: '.content h1, .sidebar h1',
		wmode: 'transparent',
		css: {
				'.sIFR-root, a:link, a:hover': { 'color': '#409989', 'text-decoration': 'none' }	
			}
	});
	sIFR.replace(cronos, {
		selector: '.graphic .text h1',
		wmode: 'transparent',
		css: {
				'.sIFR-root, a:link, a:hover': { 'color': '#ffffff', 'text-decoration': 'none' }	
			}
	});
	sIFR.replace(cronos, {
		selector: '.content h2, .sidebar h2',
		wmode: 'transparent',
		css: {
				'.sIFR-root, a:link, a:hover': { 'color': '#427c99', 'text-decoration': 'none' }	
			}
	});
	sIFR.replace(cronos, {
		selector: '.boxes h2',
		wmode: 'transparent',
		css: {
				'.sIFR-root': { 'color': '#ffffff', 'text-decoration': 'none', 'cursor': 'pointer' }	
			}
	});
}

sifr_replace_all();

// ============
// = end sifr =
// ============

function initializeTest() {
	$(".quiz form input[name=relationship_status]").change( function() {
		if ($(".quiz form input[value=married]").is(":checked")) {
			$(".quiz").addClass('married');
		} else {			
			$(".quiz").removeClass('married');
		}
	});
}

function judge_quiz() {
	var grower_arr 		= [1,6,9,13,17];
	var devoted_arr 	= [2,10,16,19,20];
	var disregarder_arr	= [4,5,11,12];
	var reactive_arr	= [3,7,8,14,18];
	
	// 15 = oddball false
	
	// 3 = ????
	
	var answers = $('div.quiz input:radio:checked');
	
	if(answers.length < 20) { // not all answered
		$('div.quiz .question').each(function() {
			if($('input:radio:checked', this).length == 0) $(this).addClass('no_answer');
		})
		
		alert('Please answer all of the questions in the quiz. (We’ve highlighted those that you missed.)');
		return false;
	}
	
	if($('div.quiz input[@name=enduser_email]').val().length < 6) {
		alert('Please provide a valid e-mail address to receive your HeartType.');
		return false;
	}
	
	var r_n = 0;
	var x_n = 0;
	var g_n = 0;
	var d_n = 0;
	var riser = 0;
	
	var answer_arr = new Array();
	
	answers.each(function() {
		var num = $(this).attr('name');
		num = parseInt(num.substr(9));
		
		var answer = $(this).val();
		
		answer = (answer == 1); // convert to bool
		
		if((jQuery.inArray(num, reactive_arr) != -1) && answer) r_n++;
		if((jQuery.inArray(num, disregarder_arr) != -1) && answer) x_n++; 
		if((jQuery.inArray(num, grower_arr) != -1) && answer) g_n++;
		if((jQuery.inArray(num, devoted_arr) != -1) && answer) d_n++;
		
		if(num == 15 && !answer) x_n++;
		
		if(num == 6 && answer) riser++;
		if(num == 9 && answer) riser++;
		
		answer_arr[num] = answer;
	});
	
	var result = '';
	
	// reactive 	= r
	// disregarder 	= x
	// grower		= g
	// devoted		= d
	
	while(true) {
		if(r_n >= 4) { result = 'reactive'; break; }									// 3
		if(x_n >= 4) { result = 'disregarder'; break; }									// 3
		
		if(d_n == 5 && riser == 2 && (x_n + r_n) < 2)  { result = 'devoted'; break; } 	// 4
		if(d_n == 5 && riser == 2 && (x_n + r_n) == 2)  { result = 'grower'; break; } 	// 4a
		if(d_n == 5 && riser == 2 && (x_n + r_n) > 2)  { 								// 4b
			if(x_n > r_n) { result = 'disregarder'; break; }							// 4b
			if(r_n > x_n) { result = 'reactive'; break; }								// 4b
			if(r_n == x_n) { result = 'reactive'; break; }
		 } 	
		
		if(g_n >= 4 && (x_n + r_n) < 3) { result = 'grower'; break; }					// 5
		if(g_n >= 4 && (x_n + r_n) >= 3) { 												// 5c
			if(x_n > r_n) { result = 'disregarder'; break; }							// 5c
			if(r_n > x_n) { result = 'reactive'; break; }								// 5c
			if(r_n == x_n) { result = 'reactive'; break; }
		 }
		
		if(r_n > x_n) { result = 'reactive'; break; } 		// 1 
		
		result = 'disregarder'; break;
	}
	
	$('div.quiz input[@name=enduser_hearttype]').val(result);
	$('div.quiz form').submit();
}